/*
--------------------------------------
items
--------------------------------------
*/

.categories__container {
	display: grid;
	grid-template-columns: 1fr;
	gap: calc(30px + (70 - 30) * ((100vw - 320px) / (1920 - 320)));
}

/*
--------------------------------------
imgs
--------------------------------------
*/

.category-card__imgs-container {
	position: relative;
	display: flex;
	align-items: center;
	height: 650px;
	overflow: hidden;
	cursor: pointer;
}

.category-card__img-container {
	position: relative;
	border-radius: 635px 635px 0 0;
	overflow: hidden;
}

.category-card__imgs-container .category-card__img {
	border-radius: 635px 635px 0 0;
	width: 330px;
	height: 500px;
	object-fit: cover;
	transition: transform 0.75s ease-in-out;
	transform: scale(1);
	display: block;
}

.category-card__img-overlay {
	position: absolute;
	z-index: 1;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background: rgba(0, 0, 0, 0);
	border-radius: 635px 635px 0 0;
	transition: background 0.5s ease-in-out;
}

.category-card__imgs-container:hover .category-card__img {
	transform: scale(1.075);
}

.category-card__imgs-container:hover .category-card__img-overlay {
	background: rgba(0, 0, 0, 0.5);
}

.category-card__imgs-container .category-card__featured-bottle {
	position: absolute;
	z-index: 2;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	object-fit: contain;
	width: 225px;
	height: 650px;
	margin: auto;
	pointer-events: none;
	transition: all 0.75s ease-in-out;
	display: block;
}

.category-card__imgs-container:hover .category-card__featured-bottle {
	bottom: 30px;
}

/*
--------------------------------------
content
--------------------------------------
*/

.category-card__content {
	display: flex;
	flex-direction: column;
	align-items: center;
	padding-top: 1em;
}

.category-card__content .category-card__title {
	font-family: var(--e-global-typography-primary-font-family);
	font-size: calc(20px + (30 - 20) * ((100vw - 320px) / (1920 - 320)));
	font-weight: 400;
	color: #000;
	line-height: 50px;
	text-transform: uppercase;
	text-align: center;
}

.category-card__content {

	.btn-primary {
		font-family: var(--e-global-typography-secondary-font-family);
	}

}

.categories__all-link {
	display: flex;
	justify-content: center;
	padding-top: calc(25px + (50 - 25) * ((100vw - 320px) / (1920 - 320)));

	.btn-secondary {
		font-family: var(--e-global-typography-secondary-font-family);
		padding: 8px 48px;
	}

}